From 12c33c488aaca34568decc363f8580c78ab6b681 Mon Sep 17 00:00:00 2001
From: Aron Parsons <aronparsons@gmail.com>
Date: Mon, 7 Jan 2013 15:01:09 -0500
Subject: [PATCH 1/2] add a fallback to an unformatted version of host_principal_format

If the host_principal_format does not contain any strings to format,
fallback to an unformatted version of the string instead of raising
an exception.
---
 builder/kojid |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/builder/kojid b/builder/kojid
index 38067b9..35975f7 100755
--- a/builder/kojid
+++ b/builder/kojid
@@ -3176,7 +3176,10 @@ if __name__ == "__main__":
     elif sys.modules.has_key('krbV'):
         krb_principal = options.krb_principal
         if krb_principal is None:
-            krb_principal = options.host_principal_format % socket.getfqdn()
+            try:
+                krb_principal = options.host_principal_format % socket.getfqdn()
+            except TypeError:
+                krb_principal = options.host_principal_format
         try:
             session.krb_login(principal=krb_principal,
                               keytab=options.keytab,
-- 
1.7.1

